<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
    <title>Title</title>
</head>
<body>

<form th:method="POST" th:action="@{/books/search}">
    <label for="query">Введите поисковый запрос</label>
    <input type="text" id="query" name="query"/>
    <br/>
    <input type="submit" value="Искать"/>
</form>

<div th:if="${books}">
    <div th:if="${books.isEmpty}">
        <span>Книг не найдено</span>
    </div>
</div>

<div th:each="book:${books}">
    <p th:text="${book.getTitle() + ' , ' + book.getAuthor() + ' , ' + book.getYear()}">book</p>
    <div th:if="${book.getOwner() != null}">
        <span>Книга сейчас у: </span> <span th:text="${book.getOwner().getFullName()}">Person Name</span>
    </div>
    <div>
        <span th:if="${book.getOwner() == 0}">Книга свободна</span>
    </div>
</div>

</body>
</html>